Name:           qodem
Version:        0.3.2
Release:        6%{?dist}
Summary:        Terminal emulator and communications package

Group:          Applications/Communications
License:        GPLv2+
URL:            http://qodem.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         modem_openserialport.diff

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake autoconf
BuildRequires:  SDL-devel
BuildRequires:  ncurses-devel
BuildRequires:  gettext
BuildRequires:  glibc-devel


%description
Qodem is an open-source re-implementation of the Qmodem(tm)
shareware communications package, updated for more modern uses.
Major features include:
    * Unicode display: translation of CP437 (PC VGA), VT100 DEC
      Special Graphics characters, VT220 National Replacement
      Character sets, etc., to Unicode
    * Terminal interface conveniences: scrollback buffer, capture
      file, screen dump, dialing directory, keyboard macros, script
      support
    * Connection methods: serial, local shell, command line, telnet,
      ssh, rlogin, rsh
    * Emulations: ANSI.SYS (including "ANSI music"), Avatar, VT52,
      VT100/102, VT220, Linux, and XTerm
    * Transfer protocols: Xmodem, Ymodem, Zmodem, and Kermit


%prep
%setup -q
%patch0 -p0 -b .serial

# Remove bundled gettext
rm -f intl/gettext.c


%build
export CXXFLAGS="%{optflags}"
export CFLAGS="%{optflags}"
export LDFLAGS="-lm"

autoreconf -vfi
%configure --with-libintl-prefix=/usr/share/gettext/intl

make %{?_smp_mflags}


%install
%make_install
%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING CREDITS NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Fri Jun 28 2013 Richard Shaw <hobbes1069@gmail.com> - 0.3.2-6
- Patch for buffer overflow, Fixes BZ#978600.

* Sun May 26 2013 Richard Shaw <hobbes1069@gmail.com> - 0.3.2-5
- Add autoreconf to permit building for aarch64.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 05 2012 Richard Shaw <hobbes1069@gmail.com> - 0.3.2-1
- Rebuild for GC 4.7.0.

* Sat Jul 23 2011 Richard Shaw <hobbes1069@gmail.com> - 0.3.2-1
- Initial Release.
